## python-django-netfields 0.9.0

=== requirements.txt ===
django>=1.3
netaddr
psycopg2

## python-django-netfields 0.7.2

=== debian/changelog ===
python-django-netfields (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.0.0.
  * Use pypi for d/watch as github repo does not have tags for the
    latest releases.

 -- Michael Fladischer <fladi@debian.org>  Mon, 19 Jun 2017 15:12:41 +0200

python-django-netfields (0.7-1) unstable; urgency=low

  * Initial release (Closes: #864887).

 -- Michael Fladischer <fladi@debian.org>  Fri, 02 Jun 2017 20:27:35 +0200

=== debian/control ===
Source: python-django-netfields
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.0.0
X-Python3-Version: >= 3.3
Homepage: https://github.com/jimfunk/django-postgresql-netfields/
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-netfields.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-netfields.git

Package: python3-django-netfields
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Django PostgreSQL netfields implementation (Python3 version)
 This project is an attempt at making proper PostgreSQL net related fields for
 Django. In Django pre 1.4 the built in IPAddressField does not support IPv6 and
 uses an inefficient HOST() cast in all lookups. As of 1.4 you can use
 GenericIPAddressField for IPv6, but the casting problem remains.
 .
 In addition to the basic IPAddressField replacement a CIDR and a MACADDR field
 have been added. This library also provides a manager that allows for advanced
 IP based lookup directly in the ORM.
 .
 This package contains the Python 3 version of the library.

## python-django-netfields 0.8

=== debian/changelog ===
python-django-netfields (0.8-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.1.2.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Mon, 18 Dec 2017 18:32:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,25 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <fladi@debian.org>
-Build-Depends: debhelper (>= 10),
-               dh-python,
-               python3-all,
-               python3-setuptools
-Standards-Version: 4.0.0
+Uploaders:
+ Michael Fladischer <fladi@debian.org>,
+Build-Depends:
+ debhelper (>= 10),
+ dh-python,
+ python3-all,
+ python3-setuptools,
+Standards-Version: 4.1.2
 X-Python3-Version: >= 3.3
 Homepage: https://github.com/jimfunk/django-postgresql-netfields/
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-netfields.git
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-netfields.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-django-netfields
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Django PostgreSQL netfields implementation (Python3 version)
  This project is an attempt at making proper PostgreSQL net related fields for
  Django. In Django pre 1.4 the built in IPAddressField does not support IPv6 and

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-netfields
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-django-netfields 0.9.0

=== debian/changelog ===
python-django-netfields (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.2.1.

 -- Michael Fladischer <fladi@debian.org>  Sat, 27 Oct 2018 19:50:37 +0200

python-django-netfields (0.8-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Michael Fladischer ]
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.4.
  * Remove X-Python3-Version field as it is no longer applicable.
  * Add python3-psycopg2 to Depends (Closes: #896272).

 -- Michael Fladischer <fladi@debian.org>  Mon, 07 May 2018 08:28:24 +0200

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.1.2
-X-Python3-Version: >= 3.3
+Standards-Version: 4.2.1
 Homepage: https://github.com/jimfunk/django-postgresql-netfields/
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-netfields.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-netfields.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-netfields
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-netfields.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-django-netfields
 Architecture: all
 Depends:
+ python3-psycopg2,
  ${misc:Depends},
  ${python3:Depends},
 Description: Django PostgreSQL netfields implementation (Python3 version)

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-netfields/django-netfields-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-django-netfields 1.0.1

=== debian/changelog ===
python-django-netfields (1.0.1-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Michael Fladischer ]
  * New upstream release.
  * Bump debhelper version to 12.
  * Bump Standards-Version to 4.4.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 23 Jul 2019 10:39:27 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/jimfunk/django-postgresql-netfields/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-netfields
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-netfields.git

## python-django-netfields 1.2.2

=== requirements.txt ===
django>=1.8
netaddr
psycopg2

=== debian/changelog ===
python-django-netfields (1.2.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Michael Fladischer ]
  * Tell autodep8 to use the correct import name (Closes: #960719).
  * Bump debhelper version to 13.

 -- Michael Fladischer <fladi@debian.org>  Sat, 16 May 2020 20:09:01 +0200

python-django-netfields (1.2.2-1) unstable; urgency=low

  * New upstream release.
  * Set Rules-Requires-Root: no.

 -- Michael Fladischer <fladi@debian.org>  Mon, 16 Dec 2019 21:02:42 +0100

python-django-netfields (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.4.1.

 -- Michael Fladischer <fladi@debian.org>  Mon, 14 Oct 2019 21:33:25 +0200

python-django-netfields (1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sat, 14 Sep 2019 16:24:23 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/jimfunk/django-postgresql-netfields/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-netfields
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-netfields.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-django-netfields
 Architecture: all

## python-django-netfields 1.2.4

=== debian/changelog ===
python-django-netfields (1.2.4-3) unstable; urgency=medium

  * Add needs-root restriction for autopkgtests (Closes: #1004873).

 -- Michael Fladischer <fladi@debian.org>  Thu, 17 Feb 2022 12:58:49 +0000

python-django-netfields (1.2.4-2) unstable; urgency=low

  * Enable upstream testsuite for autopkgtests.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Mon, 24 Jan 2022 12:31:38 +0000

python-django-netfields (1.2.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.6.0.1.

 -- Michael Fladischer <fladi@debian.org>  Tue, 19 Oct 2021 19:55:47 +0000

python-django-netfields (1.2.3-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.
  * Bump Standards-Version to 4.6.0.
  * Use uscan version 4.

 -- Michael Fladischer <fladi@debian.org>  Mon, 06 Sep 2021 20:00:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-django-netfields
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
@@ -9,10 +9,10 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/jimfunk/django-postgresql-netfields/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-netfields
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-netfields.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-netfields
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-netfields.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/tests/control ===
Tests: upstream
Depends:
 postgresql,
 python3-all,
 python3-django,
 python3-djangorestframework,
 python3-pytest,
 python3-pytest-django,
 python3-unittest2,
 @,
 @builddeps@,
Restrictions: allow-stderr,needs-root

## python-django-netfields 1.3.0

=== requirements.txt ===
django>=1.11
netaddr
psycopg2

=== debian/changelog ===
python-django-netfields (1.3.0-2) unstable; urgency=medium

  * Remove unnecessary autopkgtest-pkg-python testsuite (Closes:
    #1009736).

 -- Michael Fladischer <fladi@debian.org>  Sat, 16 Apr 2022 09:35:01 +0000

python-django-netfields (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * Depend on python3-netaddr and add it to autopkgtests control file.

 -- Michael Fladischer <fladi@debian.org>  Thu, 31 Mar 2022 12:58:08 +0000

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
 Homepage: https://github.com/jimfunk/django-postgresql-netfields/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-netfields
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-netfields.git
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python3-django-netfields
 Architecture: all
 Depends:
  python3-psycopg2,
+ python3-netaddr,
  ${misc:Depends},
  ${python3:Depends},
 Description: Django PostgreSQL netfields implementation (Python3 version)

## python-django-netfields 1.3.1

=== debian/changelog ===
python-django-netfields (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * Bump Standards-Version to 4.6.2.
  * Update d/copyright with new years.
  * Build using pybuild-plugin-pyproject.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Mon, 19 Jun 2023 09:21:48 +0000

## python-django-netfields 1.3.2

=== debian/changelog ===
python-django-netfields (1.3.2-3) unstable; urgency=medium

  * Team upload.
  * Remove unnecessary test dependency on python3-unittest2.

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Sep 2024 17:48:32 +0100

python-django-netfields (1.3.2-2) unstable; urgency=medium

  * Team Upload
  * patch-out usage of python3-six

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Mar 2024 14:14:01 +0100

python-django-netfields (1.3.2-1) unstable; urgency=low

  * New upstream version 1.3.2
  * Add patch to replace distutils with setuptools in preparation for Python
    3.12.

 -- Michael Fladischer <fladi@debian.org>  Wed, 20 Dec 2023 16:27:16 +0000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/jimfunk/django-postgresql-netfields/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-netfields
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-netfields.git
@@ -18,8 +19,8 @@
 Package: python3-django-netfields
 Architecture: all
 Depends:
+ python3-netaddr,
  python3-psycopg2,
- python3-netaddr,
  ${misc:Depends},
  ${python3:Depends},
 Description: Django PostgreSQL netfields implementation (Python3 version)

=== debian/tests/control ===
Tests: upstream
Depends:
 postgresql,
 python3-all,
 python3-django,
 python3-djangorestframework,
 python3-netaddr,
 python3-pytest,
 python3-pytest-django,
 @,
 @builddeps@,
Restrictions: allow-stderr,needs-root

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-netfields/django-netfields-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-django-netfields 1.4.0

=== debian/changelog ===
python-django-netfields (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * Fix d/watch for new PyPi archive naming policy
  * New upstream version 1.4.0
  * Drop "six" & "distutils" patches applied upstream
  * Prefer psycopg3 over psycopg2 at runtime
  * Add debian/salsa-ci.yml
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Wed, 25 Feb 2026 11:33:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,24 @@
 Source: python-django-netfields
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/jimfunk/django-postgresql-netfields/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-netfields
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-netfields.git
-Rules-Requires-Root: no
 
 Package: python3-django-netfields
 Architecture: all
 Depends:
  python3-netaddr,
- python3-psycopg2,
+ python3-psycopg,
  ${misc:Depends},
  ${python3:Depends},
 Description: Django PostgreSQL netfields implementation (Python3 version)

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-netfields/django[_-]netfields-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
